#ifndef LINE_H
#define LINE_H

#include "../curve.h"

class Line : public Curve
{
 public:
  Line();
  Line( double _x1, double _y1, double _x2, double _y2 );

  // virtual methods implemented
  int getType() { return (int)Curve::LINE; };
  bool isUnlimited() { return false; };
  void addPoint( double _x, double _y );
  Point getPoint( double _t );
  bool isPossible();
  vector<Point> getPoints();
  vector<Point> getPointsToDraw();
  vector<Point> getPointsToDraw( Point _pt );
  double closestPoint( double* x, double* y );
  void getBoundBox( double* xmin, double* xmax, double* ymin, double* ymax );

  // specific line methods
  double getX1() { return m_x1; };
  double getX2() { return m_x2; };
  double getY1() { return m_y1; };
  double getY2() { return m_y2; };
  void setPoints( double _x1, double _y1, double _x2, double _y2 );

 private:
  double m_x1;
  double m_y1;
  double m_x2;
  double m_y2;
};

#endif // LINE_H
