#ifndef GEOMMODEL_H
#define GEOMMODEL_H

#include <vector>
#include <list>
using namespace std;
#include "curve.h"

class GeomModel
{
 public:
  GeomModel();
  ~GeomModel();
  bool isEmpty() { return( m_curves.size() < 1 ); }
  vector<Curve*> getCurves() { return m_curves; };
  void insertCurve( Curve* curve );
  void delSelectedCurves();
  void getBoundBox( double* xmin, double* xmax,
                    double* ymin, double* ymax );
  void selectPick( double x, double y, double _tol, bool shiftkey );
  void selectFence( double xmin, double xmax,
                    double ymin, double ymax, bool shiftkey );

 protected:
  vector<Curve*> m_curves;
};

#endif // GEOMMODEL_H
