#include "mycollector.h"
#include "glpanel.h"
#include "geommodel.h"
#include "curve.h"

MyCollector::MyCollector(QWidget *parent, Qt::WFlags flags)
    : QMainWindow(parent, flags)
{
  ui.setupUi(this);

  // create a model object and store a pointer to it in canvas object
  GeomModel* m = new GeomModel();
  ui.canvas->setModel(m);

  // Set default button checked status
  ui.actionSelect->setChecked(true);
  ui.actionLine->setChecked(false);

  // set default mouse action on canvas
  ui.canvas->setMouseAction( GLPanel::SELECTION );
}

MyCollector::~MyCollector()
{
}

void MyCollector::on_actionSelect_triggered()
{
  ui.actionSelect->setChecked(true);
  ui.actionLine->setChecked(false);
  // set corresponding mouse action on canvas
  ui.canvas->setMouseAction( GLPanel::SELECTION );
}

void MyCollector::on_actionLine_triggered()
{
  ui.actionSelect->setChecked(false);
  ui.actionLine->setChecked(true);
  // set corresponding mouse action on canvas
  ui.canvas->setMouseAction( GLPanel::COLLECTION );
  ui.canvas->setCurveType( Curve::LINE );
}

void MyCollector::on_actionDelete_triggered()
{
  ui.canvas->delSelectedCurves();
}

void MyCollector::on_actionFit_triggered()
{
  ui.canvas->fitWorldToViewport();
}

void MyCollector::on_actionZoomIn_triggered()
{
  ui.canvas->zoomIn();
}

void MyCollector::on_actionZoomOut_triggered()
{
  ui.canvas->zoomOut();
}

void MyCollector::on_actionPanLeft_triggered()
{
  ui.canvas->panLeft();
}

void MyCollector::on_actionPanRight_triggered()
{
  ui.canvas->panRight();
}

void MyCollector::on_actionPanDown_triggered()
{
  ui.canvas->panDown();
}

void MyCollector::on_actionPanUp_triggered()
{
  ui.canvas->panUp();
}
